Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProceedingsDataDetail.cs	(revision 267)
@@ -91,20 +91,21 @@
         private string CreateSelectSQL()
         {
             // SQL作成
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += " ConstructionCode";                                  // 工事番号
-            strcmd += " ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')";     // 議事録作成日
-            strcmd += " ,StartMeetingTime";                                 // 会議時間開始
-            strcmd += " ,SeqNo";                                            // データ行番号
-            strcmd += " ,TitleNo";                                          // 議題番号
-            strcmd += " ,Title";                                            // 議題
-            strcmd += " ,ContentsText";                                     // 内容
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
-            strcmd += " FROM ProceedingsDataDetail";
+            strcmd.Append("SELECT");
+            strcmd.Append(" ConstructionCode");                                  // 工事番号
+            strcmd.Append(" ,DATE_FORMAT(ProceedingsDataDate, '%Y/%m/%d')");     // 議事録作成日
+            strcmd.Append(" ,StartMeetingTime");                                 // 会議時間開始
+            strcmd.Append(" ,SeqNo");                                            // データ行番号
+            strcmd.Append(" ,TitleNo");                                          // 議題番号
+            strcmd.Append(" ,Title");                                            // 議題
+            strcmd.Append(" ,ContentsText");                                     // 内容
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");      // 更新年月日
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
+            strcmd.Append(" FROM ProceedingsDataDetail");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -112,16 +113,17 @@
         public bool SelectAction(string AddSQLString, ref List<ProceedingsDataDetail> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -135,7 +137,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -145,15 +147,16 @@
         public bool SelectAction(string AddSQLString, ref ProceedingsDataDetail data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -167,7 +170,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -181,42 +184,42 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(ProceedingsDataDetail work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "INSERT INTO ProceedingsDataDetail";
+                strcmd.Append("INSERT INTO ProceedingsDataDetail");
 
-                strcmd += " (";
+                strcmd.Append(" (");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat(" {0}", work.ConstructionCode);                     // 工事番号
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
-                strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
+                strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                strcmd.AppendFormat(", {0}", work.SeqNo);                               // データ行番号
 
-                strcmd += string.Format(",'{0}'", work.TitleNo);                            // 議題番号
-                strcmd += string.Format(",'{0}'", work.Title);                              // 議題
-                strcmd += string.Format(",'{0}'", work.ContentsText);                       // 内容
+                strcmd.AppendFormat(",'{0}'", work.TitleNo);                            // 議題番号
+                strcmd.AppendFormat(",'{0}'", work.Title);                              // 議題
+                strcmd.AppendFormat(",'{0}'", work.ContentsText);                       // 内容
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -225,50 +228,50 @@
         #region 複数追加処理
         public bool InsertAction(List<ProceedingsDataDetail> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ProceedingsDataDetail";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ProceedingsDataDetail");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ProceedingsDataDetail work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format(" {0}", work.ConstructionCode);                     // 工事番号
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                    strcmd.AppendFormat(" {0}", work.ConstructionCode);                     // 工事番号
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.ProceedingsDataDate.ToShortDateString());// 議事録作成日
-                    strcmd += string.Format(", {0}", work.StartMeetingTime);                    // 会議時間開始
-                    strcmd += string.Format(", {0}", work.SeqNo);                               // データ行番号
+                    strcmd.AppendFormat(", {0}", work.StartMeetingTime);                    // 会議時間開始
+                    strcmd.AppendFormat(", {0}", work.SeqNo);                               // データ行番号
 
-                    strcmd += string.Format(",'{0}'", work.TitleNo);                            // 議題番号
-                    strcmd += string.Format(",'{0}'", work.Title);                              // 議題
-                    strcmd += string.Format(",'{0}'", work.ContentsText);                       // 内容
+                    strcmd.AppendFormat(",'{0}'", work.TitleNo);                            // 議題番号
+                    strcmd.AppendFormat(",'{0}'", work.Title);                              // 議題
+                    strcmd.AppendFormat(",'{0}'", work.ContentsText);                       // 内容
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -283,34 +286,34 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ProceedingsDataDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ProceedingsDataDetail";
+                strcmd.Append("UPDATE ProceedingsDataDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
-                strcmd += string.Format(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd.AppendFormat(",ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.ProceedingsDataDate.ToShortDateString());        // 議事録作成日
-                strcmd += string.Format(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
-                strcmd += string.Format(",SeqNo = {0}", data.SeqNo);                            // データ行番号
+                strcmd.AppendFormat(",StartMeetingTime = {0}", data.StartMeetingTime);      // 会議時間開始
+                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo);                            // データ行番号
 
-                strcmd += string.Format(",TitleNo = '{0}'", data.TitleNo);                      // 議題番号
-                strcmd += string.Format(",Title = '{0}'", data.Title);                          // 議題
-                strcmd += string.Format(",ContentsText = '{0}'", data.ContentsText);            // 内容
+                strcmd.AppendFormat(",TitleNo = '{0}'", data.TitleNo);                      // 議題番号
+                strcmd.AppendFormat(",Title = '{0}'", data.Title);                          // 議題
+                strcmd.AppendFormat(",ContentsText = '{0}'", data.ContentsText);            // 内容
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -326,18 +329,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ProceedingsDataDetail", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ProceedingsDataDetail", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -389,23 +392,23 @@
         /// <returns></returns>
         public string CreatePrimarykeyString(int ConstructionCode, DateTime ProceedingsDataDate, int StartMeetingTime = 0, int SeqNo = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" WHERE ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" WHERE ConstructionCode = {0}", ConstructionCode);
                 if (ProceedingsDataDate != DateTime.MinValue)
-                    strWork += string.Format(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
+                    strWork.AppendFormat(" AND ProceedingsDataDate = STR_TO_DATE('{0}','%Y/%m/%d')", ProceedingsDataDate.ToShortDateString());
                 if (StartMeetingTime != 0)
-                    strWork += string.Format(" AND StartMeetingTime = {0}", StartMeetingTime);
+                    strWork.AppendFormat(" AND StartMeetingTime = {0}", StartMeetingTime);
                 if (SeqNo != 0)
-                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+                    strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
